﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Media;
using System.Windows.Controls;

namespace StyleGroupByRecordSummaries.Converters
{
    public class InlineRunForegroundConverter : IValueConverter
    {
        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            string s = value.ToString();

            TextBlock textBlock = new TextBlock();
            string[] values = s.Split(',');

            for (int i = 0; i < values.Length; i++)
            {
                Run r = new Run(values[i]);
                if (i == 1)
                {
                    r.Foreground = Brushes.Red;
                }
                else if (i == 2)
                {
                    r.Foreground = Brushes.Green;
                }
                else if(i==3)
                {
                    r.Foreground = Brushes.Blue;
                }
                else if (i == 4)
                {
                    r.Foreground = Brushes.Yellow;
                }
                else if (i == 5)
                {
                    r.Foreground = Brushes.Violet;
                }
                textBlock.Inlines.Add(r);
            }
            return textBlock;
        }


        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }

        #endregion
    }
}
